[-]
[+]
|
Changed |
mysql.spec
|
|
[-]
[+]
|
Deleted |
mysql-5.1.41-cnf.patch
^
|
@@ -1,61 +0,0 @@
---- support-files/my-huge.cnf.sh
-+++ support-files/my-huge.cnf.sh
-@@ -133,6 +133,10 @@
- #innodb_flush_log_at_trx_commit = 1
- #innodb_lock_wait_timeout = 50
-
-+# The safe_mysqld script
-+[safe_mysqld]
-+err-log=@localstatedir@/mysqld.log
-+
- [mysqldump]
- quick
- max_allowed_packet = 16M
---- support-files/my-large.cnf.sh
-+++ support-files/my-large.cnf.sh
-@@ -133,6 +133,10 @@
- #innodb_flush_log_at_trx_commit = 1
- #innodb_lock_wait_timeout = 50
-
-+# The safe_mysqld script
-+[safe_mysqld]
-+err-log=@localstatedir@/mysqld.log
-+
- [mysqldump]
- quick
- max_allowed_packet = 16M
---- support-files/my-medium.cnf.sh
-+++ support-files/my-medium.cnf.sh
-@@ -46,7 +46,7 @@
-
- # Replication Master Server (default)
- # binary logging is required for replication
--log-bin=mysql-bin
-+# log-bin=mysql-bin
-
- # required unique id between 1 and 2^32 - 1
- # defaults to 1 if master-host is not set
-@@ -131,6 +131,10 @@
- #innodb_flush_log_at_trx_commit = 1
- #innodb_lock_wait_timeout = 50
-
-+# The safe_mysqld script
-+[safe_mysqld]
-+err-log=@localstatedir@/mysqld.log
-+
- [mysqldump]
- quick
- max_allowed_packet = 16M
---- support-files/my-small.cnf.sh
-+++ support-files/my-small.cnf.sh
-@@ -66,6 +66,10 @@
- #innodb_flush_log_at_trx_commit = 1
- #innodb_lock_wait_timeout = 50
-
-+# The safe_mysqld script
-+[safe_mysqld]
-+err-log=@localstatedir@/mysqld.log
-+
- [mysqldump]
- quick
- max_allowed_packet = 16M
|
[-]
[+]
|
Deleted |
mysql-5.1.41-disable-versioned-symbols.patch
^
|
@@ -1,19 +0,0 @@
---- configure.in.orig 2008-11-14 17:34:23.000000000 +0100
-+++ configure.in 2008-11-27 21:12:07.000000000 +0100
-@@ -377,10 +377,12 @@
- MYSQL_PROG_AR
-
- # libmysqlclient versioning when linked with GNU ld.
--if $LD --version 2>/dev/null| grep GNU >/dev/null 2>&1; then
-- LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_builddir)/libmysql/libmysql.ver"
-- AC_CONFIG_FILES(libmysql/libmysql.ver)
--fi
-+# symbol versioning patched out for SP1 (libmysql in SLES10 GA didn't
-+# have this feature either)
-+##if $LD --version 2>/dev/null| grep GNU >/dev/null 2>&1; then
-+## LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_builddir)/libmysql/libmysql.ver"
-+## AC_CONFIG_FILES(libmysql/libmysql.ver)
-+##fi
- AC_SUBST(LD_VERSION_SCRIPT)
-
-
|
[-]
[+]
|
Deleted |
mysql-5.1.41-logrotate.patch
^
|
@@ -1,17 +0,0 @@
---- support-files/mysql-log-rotate.sh
-+++ support-files/mysql-log-rotate.sh
-@@ -31,6 +31,14 @@
- @bindir@/mysqladmin ping &>/dev/null
- then
- @bindir@/mysqladmin flush-logs
-+ ret=$?
-+ if test $ret -ne 0
-+ then
-+ echo "@sysconfdir@/logrotate.d/mysql failed, probably because" >&2
-+ echo "the root acount is protected by password." >&2
-+ echo "See comments in @sysconfdir@/logrotate/mysql on how to fix this" >&2
-+ exit $ret
-+ fi
- fi
- endscript
- }
|
[-]
[+]
|
Added |
mysql-5.1.48-cnf.patch
^
|
@@ -0,0 +1,61 @@
+--- support-files/my-huge.cnf.sh
++++ support-files/my-huge.cnf.sh
+@@ -133,6 +133,10 @@
+ #innodb_flush_log_at_trx_commit = 1
+ #innodb_lock_wait_timeout = 50
+
++# The safe_mysqld script
++[safe_mysqld]
++err-log=@localstatedir@/mysqld.log
++
+ [mysqldump]
+ quick
+ max_allowed_packet = 16M
+--- support-files/my-large.cnf.sh
++++ support-files/my-large.cnf.sh
+@@ -133,6 +133,10 @@
+ #innodb_flush_log_at_trx_commit = 1
+ #innodb_lock_wait_timeout = 50
+
++# The safe_mysqld script
++[safe_mysqld]
++err-log=@localstatedir@/mysqld.log
++
+ [mysqldump]
+ quick
+ max_allowed_packet = 16M
+--- support-files/my-medium.cnf.sh
++++ support-files/my-medium.cnf.sh
+@@ -46,7 +46,7 @@
+
+ # Replication Master Server (default)
+ # binary logging is required for replication
+-log-bin=mysql-bin
++# log-bin=mysql-bin
+
+ # required unique id between 1 and 2^32 - 1
+ # defaults to 1 if master-host is not set
+@@ -131,6 +131,10 @@
+ #innodb_flush_log_at_trx_commit = 1
+ #innodb_lock_wait_timeout = 50
+
++# The safe_mysqld script
++[safe_mysqld]
++err-log=@localstatedir@/mysqld.log
++
+ [mysqldump]
+ quick
+ max_allowed_packet = 16M
+--- support-files/my-small.cnf.sh
++++ support-files/my-small.cnf.sh
+@@ -66,6 +66,10 @@
+ #innodb_flush_log_at_trx_commit = 1
+ #innodb_lock_wait_timeout = 50
+
++# The safe_mysqld script
++[safe_mysqld]
++err-log=@localstatedir@/mysqld.log
++
+ [mysqldump]
+ quick
+ max_allowed_packet = 16M
|
[-]
[+]
|
Added |
mysql-5.1.48-disable-versioned-symbols.patch
^
|
@@ -0,0 +1,19 @@
+--- configure.in.orig 2008-11-14 17:34:23.000000000 +0100
++++ configure.in 2008-11-27 21:12:07.000000000 +0100
+@@ -377,10 +377,12 @@
+ MYSQL_PROG_AR
+
+ # libmysqlclient versioning when linked with GNU ld.
+-if $LD --version 2>/dev/null| grep GNU >/dev/null 2>&1; then
+- LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_builddir)/libmysql/libmysql.ver"
+- AC_CONFIG_FILES(libmysql/libmysql.ver)
+-fi
++# symbol versioning patched out for SP1 (libmysql in SLES10 GA didn't
++# have this feature either)
++##if $LD --version 2>/dev/null| grep GNU >/dev/null 2>&1; then
++## LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_builddir)/libmysql/libmysql.ver"
++## AC_CONFIG_FILES(libmysql/libmysql.ver)
++##fi
+ AC_SUBST(LD_VERSION_SCRIPT)
+
+
|
[-]
[+]
|
Added |
mysql-5.1.48-logrotate.patch
^
|
@@ -0,0 +1,17 @@
+--- support-files/mysql-log-rotate.sh
++++ support-files/mysql-log-rotate.sh
+@@ -31,6 +31,14 @@
+ @bindir@/mysqladmin ping &>/dev/null
+ then
+ @bindir@/mysqladmin flush-logs
++ ret=$?
++ if test $ret -ne 0
++ then
++ echo "@sysconfdir@/logrotate.d/mysql failed, probably because" >&2
++ echo "the root acount is protected by password." >&2
++ echo "See comments in @sysconfdir@/logrotate/mysql on how to fix this" >&2
++ exit $ret
++ fi
+ fi
+ endscript
+ }
|
|
Changed |
mysql-5.1.48.tar.bz2
^
|